package com.ho.business.service;

import com.ho.business.entity.PlanningCurveTemplate;
import com.ho.common.tools.entity.UserDetailRespVO;
import lombok.Value;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

public interface PlanningCurveService {


    /**
     * 模板列表查询
     *
     * @param template
     * @return
     */
    public List<Map<String,Object>> getPlanningCurveTemplates(PlanningCurveTemplate template);

    /**
     * 编辑页面 新增接口
     *
     * @param template
     * @return
     */
    public Map<String, Object> addPlanningCurveTemplate(PlanningCurveTemplate template);

    /**
     * 编辑页面 编辑接口
     *
     * @param template
     * @return
     */
    public Map<String, Object> modifyPlanningCurveTemplate(PlanningCurveTemplate template);

    /**
     * 根据id删除模板
     *
     * @param ids
     * @return
     */
    public Map<String, Object> deletePlanningCurveTemplates(List<Integer> ids);


    public Map<String,Object> batchImport(String fileName, MultipartFile file) throws Exception;


    /**
     * 模板详情查询
     *
     * @param template
     * @return
     */
    public List<PlanningCurveTemplate> getPlanningCurveTemplate(PlanningCurveTemplate template);

    /**
     * 模板详情曲线查询
     *
     * @param template
     * @return
     */
    public List<PlanningCurveTemplate> planningCurveTemplateChartData(PlanningCurveTemplate template);


    public String getJson(PlanningCurveTemplate template, UserDetailRespVO userDetail);

}
